Bug 1709793 - [abrt] mozo: on_item_tree_drag_data_received(): MainWindow.py:546:on_item_tree_drag_data_received:AttributeError: 'SelectionData' object has no attribute 'data'
Summary: [abrt] mozo: on_item_tree_drag_data_received(): MainWindow.py:546:on_item_tre...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mozo
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f668a7153ce08e0fa3936e95f15...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-14 10:43 UTC by Sam Tygier
Modified: 2019-05-24 21:49 UTC (History)
1 user (show)

Fixed In Version: mozo-1.22.1-2.fc30 mozo-1.22.1-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-23 17:48:30 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (1.28 KB, text/plain)
2019-05-14 10:43 UTC, Sam Tygier
no flags Details
File: cgroup (349 bytes, text/plain)
2019-05-14 10:44 UTC, Sam Tygier
no flags Details
File: cpuinfo (1.42 KB, text/plain)
2019-05-14 10:44 UTC, Sam Tygier
no flags Details
File: mountinfo (3.99 KB, text/plain)
2019-05-14 10:44 UTC, Sam Tygier
no flags Details
File: namespaces (129 bytes, text/plain)
2019-05-14 10:44 UTC, Sam Tygier
no flags Details

Description Sam Tygier 2019-05-14 10:43:56 UTC
Description of problem:
Drag and drop a .desktop file to the menu editor

Version-Release number of selected component:
mozo-1.22.1-1.fc29

Additional info:
reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 -OOt /usr/bin/mozo
crash_function: on_item_tree_drag_data_received
exception_type: AttributeError
executable:     /usr/bin/mozo
interpreter:    python3-3.7.3-1.fc29.x86_64
kernel:         5.0.13-200.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
MainWindow.py:546:on_item_tree_drag_data_received:AttributeError: 'SelectionData' object has no attribute 'data'

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/Mozo/MainWindow.py", line 546, in on_item_tree_drag_data_received
    if selection.data is None:
AttributeError: 'SelectionData' object has no attribute 'data'

Local variables in innermost frame:
self: <Mozo.MainWindow.MainWindow object at 0x7fa24d5e55f8>
treeview: <Gtk.TreeView object at 0x7fa24901ee10 (GtkTreeView at 0x55560bc867c0)>
context: <GdkX11.X11DragContext object at 0x7fa24901eee8 (GdkX11DragContext at 0x55560bd92bb0)>
x: 229
y: 206
selection: <Gtk.SelectionData object at 0x7fa24b04fa68 (GtkSelectionData at 0x7ffc41729610)>
info: 1
etime: 119001214
items: <Gtk.ListStore object at 0x7fa24b5f79d8 (GtkListStore at 0x55560bee3560)>
types_before: (<enum GTK_TREE_VIEW_DROP_BEFORE of type Gtk.TreeViewDropPosition>, <enum GTK_TREE_VIEW_DROP_INTO_OR_BEFORE of type Gtk.TreeViewDropPosition>)
types_into: (<enum GTK_TREE_VIEW_DROP_INTO_OR_BEFORE of type Gtk.TreeViewDropPosition>, <enum GTK_TREE_VIEW_DROP_INTO_OR_AFTER of type Gtk.TreeViewDropPosition>)
types_after: (<enum GTK_TREE_VIEW_DROP_AFTER of type Gtk.TreeViewDropPosition>, <enum GTK_TREE_VIEW_DROP_INTO_OR_AFTER of type Gtk.TreeViewDropPosition>)

Comment 1 Sam Tygier 2019-05-14 10:43:59 UTC
Created attachment 1568378 [details]
File: backtrace

Comment 2 Sam Tygier 2019-05-14 10:44:00 UTC
Created attachment 1568379 [details]
File: cgroup

Comment 3 Sam Tygier 2019-05-14 10:44:01 UTC
Created attachment 1568380 [details]
File: cpuinfo

Comment 4 Sam Tygier 2019-05-14 10:44:02 UTC
Created attachment 1568381 [details]
File: mountinfo

Comment 5 Sam Tygier 2019-05-14 10:44:03 UTC
Created attachment 1568382 [details]
File: namespaces

Comment 6 Wolfgang Ulbrich 2019-05-14 10:54:17 UTC
version of mate-menus?

Comment 7 Sam Tygier 2019-05-14 11:10:01 UTC
mozo-1.22.1-1.fc29

I think Gtk.SelectionData no longer has a data attribute, and get_data() should be used. But then it trips over some api changes in urllib. I can probably prepare a patch this evening at make a PR upstream.

Comment 8 Wolfgang Ulbrich 2019-05-14 11:25:34 UTC
Thanks

Comment 9 Sam Tygier 2019-05-14 18:42:54 UTC
https://github.com/mate-desktop/mozo/pull/57

Comment 10 Fedora Update System 2019-05-15 09:43:25 UTC
mozo-1.22.1-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-057036db75

Comment 11 Fedora Update System 2019-05-15 09:43:29 UTC
mozo-1.22.1-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-40c3d93aa2

Comment 12 Fedora Update System 2019-05-16 02:36:22 UTC
mozo-1.22.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-40c3d93aa2

Comment 13 Fedora Update System 2019-05-16 04:39:33 UTC
mozo-1.22.1-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-057036db75

Comment 14 Fedora Update System 2019-05-23 17:48:30 UTC
mozo-1.22.1-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-05-24 21:49:24 UTC
mozo-1.22.1-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.